### org.jfree.layouting.renderer.model.table.cells

# Class PlaceHolderCell

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.cells.TableCell`
  - - `org.jfree.layouting.renderer.model.table.cells.PlaceHolderCell`

Known Direct Subclasses:
  ConflictingCell

`public class PlaceHolderCell`
`extends TableCell`

Creation-Date: 10.09.2006, 17:27:54

Author:
  Thomas Morgner

  ## Constructor Summary

  `PlaceHolderCell(DataCell sourceCell, int rowSpan, int colSpan)`

  ## Method Summary

  `DataCell`

  `getSourceCell()`

  `String`

  `toString()`

  ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.TableCell

  `getColSpan`, `getRowSpan`, `toString`

## Constructor Details

### PlaceHolderCell

    public PlaceHolderCell(DataCell sourceCell,
                           int rowSpan,
                           int colSpan)

## Method Details

### getSourceCell

    public DataCell getSourceCell()

### toString

    public String toString()

> Overrides:
>   toString in interface TableCell